
QGIS Application - Bug report #7366

GdalTools not loadable

2013-03-15 10:20 AM - Acton Gorton

Status: Closed

Priority: Normal

Assignee:

Category: GDAL Tools

Affected QGIS version:1.8.0 Regression?: No

Operating System: OSX Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 16339

Description

Following message appeared when starting:

Couldn't load plugin GdalTools due an error when calling its initGui() method

Traceback (most recent call last):

  File "/Applications/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 173, in startPlugin

    plugins[packageName].initGui()

  File "/Applications/QGIS.app/Contents/MacOS/../Resources/python/plugins/GdalTools/GdalTools.py", line 99, in initGui

    from tools.GdalTools_utils import Version, GdalConfig, LayerRegistry

  File "/Applications/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 309, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/Applications/QGIS.app/Contents/MacOS/../Resources/python/plugins/GdalTools/tools/GdalTools_utils.py", line 842, in 

    if platform.system() == "Darwin":

  File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/platform.py", line 1282, in system

    return uname()[0]

  File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/platform.py", line 1249, in uname

    processor = _syscmd_uname('-p','')

  File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/platform.py", line 1005, in _syscmd_uname

    output = string.strip(f.read())

IOError: [Errno 4] Interrupted system call

Python version:

2.7.1 (r271:86832, Jun 16 2011, 16:59:05) 

[GCC 4.2.1 (Based on Apple Inc. build 5658) (LLVM build 2335.15.00)]

QGIS version:

1.8.0-Lisboa Lisboa, 

Python path: ['/Applications/QGIS.app/Contents/MacOS/../Resources/python', '/Users/actongorton/.qgis//python',

'/Users/actongorton/.qgis//python/plugins', '/Applications/QGIS.app/Contents/MacOS/../Resources/python/plugins',

'/Library/Frameworks/SQLite3.framework/Versions/3/Python/2.7', '/Library/Python/2.7/site-packages/numpy-override',

'/Library/Frameworks/GDAL.framework/Versions/1.9/Python/2.7/site-packages',

'/Library/Frameworks/cairo.framework/Versions/1/Python/2.7',

'/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python27.zip',

'/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7',

'/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/plat-darwin',

'/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/plat-mac',

'/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/plat-mac/lib-scriptpackages',

'/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python',
'/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-tk',

'/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-old',

'/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload',

'/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/PyObjC', '/Library/Python/2.7/site-packages',

'/Applications/QGIS.app/Contents/Resources/python/plugins/fTools/tools']

History

#1 - 2014-06-21 05:22 AM - Jürgen Fischer

- Status changed from Open to Feedback

- Operating System set to OSX

Is this still valid?  Which packages did you install?

#2 - 2014-06-21 05:23 AM - Jürgen Fischer

- Category set to GDAL Tools

#3 - 2014-06-21 05:23 AM - Jürgen Fischer

- Subject changed from Crash on start - Python error to GdalTools not loadable

#4 - 2014-06-21 08:30 AM - Giovanni Manghi

have you set the path in the raster menu? ex:

/library/frameworks/GDAL.framework/Versions/1.8/Programs:/usr/bin

#5 - 2014-10-06 11:51 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed

Closing for lack of feedback.
